#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Aug 12 23:28:51 2019

@author: Anne-Cécile GAY
"""


######################
#      TEXTES        # 
######################

#div_modellda_param_model = Div()
#div_modellda_param_model.text = """
#    <table style="border:1px solid white;" BGCOLOR=#0277bd width=100%>
#        <tr>
#            <td>
#                <div align=center>                
#                    <FONT size = 2 color='white'>
#                        <strong>
#                            paramètres modélisation LDA<br>
#                        </strong>
#                    </FONT>                  
#                </div>
#            </td>
#        </tr>
#    </table>
#    """

######################
#      SABLIER       # 
######################

spinner_text = """
   <!-- https://www.w3schools.com/howto/howto_css_loader.asp -->
   <div class="loader">
   <style scoped>
   .loader {
       border: 16px solid #f3f3f3; /* Light grey */
       border-top: 16px solid #3498db; /* Blue */
       border-radius: 50%;
       width: 10px;
       height: 10px;
       animation: spin 2s linear infinite;
   }

   @keyframes spin {
       0% { transform: rotate(0deg); }
       100% { transform: rotate(360deg); }
   } 
   </style>
   </div>
   """

######################
#      UPDATES       # 
######################
   
def update_modellda_clicbutton_export() :
    div_loader.text=spinner_text
    # Conservation des colonnes utiles
    comments_to_export = comments_vbt.loc[:,[APP_VAR,'proba_topic']]
    print("Export des donnees enrichies...")
    comments_to_export.to_csv(os.path.join(APP_DIR_PARENT+str("/data/"), str('data_with_model_')+APP_MODEL+str('.csv')))
    print("Donnees exportees !")
    div_loader.text="""
        <div>           
            <FONT size = 2 color=#0277bd>
                <strong>
                    Données exportées ! <br>
                </strong>
            </FONT>                  
        </div>
        """

######################
# FONCTIONS CALLBACK #
######################   
   
def callback_modellda_clic_button_export_data():
    print("**** EXPORT DATA ENRICHIES ****")
    update_modellda_clicbutton_export()  
    

######################
#      WIDGETS       # 
######################

## WIDGET BUTTON EXPORT DONNÉES ENRICHIES
button_modellda_export_data = Button(label="Export donnees enrichies",width=100, button_type="primary")
button_modellda_export_data.on_click(callback_modellda_clic_button_export_data)

# WIDGET SABLIER D'ATTENTE #
div_loader = Div(text="")

# HTML PYLDAVIS
print('********** Chargement de la visualisation LDA... **********')
div_pyldavis = Div(text="""<iframe src="{}" width="1300" height="900" ></iframe>""".format('/TOPCAPY_exploration/static/'+str(APP_MODEL)+'.html'))



######################
#      LAYOUT        # 
######################

tab_modellda_layout =column(button_modellda_export_data,div_loader,div_pyldavis)